## Apache Zeta Components Manual :: Docs For Class ezcCacheStackConfigurator

### Cache::ezcCacheStackConfigurator

### Interface ezcCacheStackConfigurator

Interface to be implemented by stack configurator classes.

To allow the usage of ezcCacheStack with the ezcCacheManager, a class implementing this interface is necessary. The name of the class must be stored in the ezcCacheStackOptions defined for the stack in the manager. As soon as the stack is requested by the user for the first time, a new ezcCacheStack object will be created in the manager. This object will be given to the ezcCacheStackConfigurator->configure() method of the class named in the options.

Source for this file: /Cache/src/interfaces/stack_configurator.php

Version: | //autogentag//

### Method Summary

public static void | `configure( $stack )` Configures the given stack.

### Methods

#### configure

static void configure( ezcCacheStack $stack )

Configures the given stack.

This method configures the given $stack object. The object is usually expected to be newly constructed after this method receives it. If given in a class implemnting this interface is given in ezcCacheStackOptions, this method will be called automatically from ezcCacheStack->__construct().

This method is expected to use the ezcCacheStack->pushStorage() method to configure storages in the stack.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$stack` | ezcCacheStack |

Documentation generated by phpDocumentor 1.4.3